8

I am configuring a Prosody server for use with mobile clients supporting OMEMO. I've picked Conversations as a reference client since I'm familiar with it. What Prosody modules do I need to install to support it?

11

Conversations provides a list of XEPs requiring server-side support, reproduced below with links to the corresponding Prosody 0.9.x modules.

For encrypted group chat (OMEMO support), you strictly need only mod_pep and mod_roster. The other modules account for additional functionality in an OMEMO context (e.g. sharing files) and environments (e.g. mobile clients, client behind a firewall).

Notes:

Prosody 0.10 notes:

References:

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.